xth3xjok3rx

Assassins Creed Origins Requires The Latest Drivers? Running 17.7.1 + R9 290

Discussion created by xth3xjok3rx on Nov 2, 2017
Latest reply on Nov 6, 2017 by kingfish

So i just got Assassins Creed Origins and when i load it up it says in the corner that my drivers are out of date and need up dating for optimal performance

but im running the 17.7.1 update any ideas ???

 

my specs

AMD R9 290x 4GB

32GB ram

i7-4710MQ CPU @2.50Ghz

 

cheers

 

Message was edited by: Matt B We have updated the title of this discussion with relevant details to better describe your issue.

Outcomes